Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Market Depth

Get full depth of trading pairs.

Request URL

GET https://cloud-api.wooxpro.com/contract/public/depth

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/public/depth?symbol=BTCUSDT
FieldTypeRequired?Description
symbolStringYesSymbol of the contract(like BTCUSDT)

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "trace": "b9bff62d-9ac8-4815-8808-8f745673c096",
  "data": {
    "asks": [
      [
        "23935.4",
        "65",
        "65"
      ]
    ],
    "bids": [
      [
        "23935.4",
        "65",
        "65"
      ]
    ],
    "timestamp": 1660285421287,
    "symbol": "BTCUSDT"
  }
}
FieldTypeDescription
timestampLongUnix timestamp in milliseconds for when the last updated time occurred
bidsListBid order depth
asksListAsk order depth
symbolStringsymbol
Market depth details:
FieldTypeDescription
The firstStringThe price at current depth. For example 23935.4
The secondStringTotal quantity of current price depth. For example 65
The thirdStringAccumulates the total quantity above (including) the current price depth. For example 65